mav_paletteTextureEnvSet(3)

NAME
mav_paletteTextureEnvSet - Set a palette texture environment callback.

LEVEL
Maverik Level 3

SYNTAX
int mav_paletteTextureEnvSet(MAV_palette *p, int index, MAV_texEnvFn fn);

ARGUMENTS
Palette to set. Index into textures table, in range 0..MAV_MAX_TEXTURES. Callback function.

DESCRIPTION
When the kernel detects that the texture environment has been changed (by the application calling mav_surfaceParamsUse), it calls a callback function registered by this function. The callback is responsible for setting the environment by calling the appropriate graphics (OpenGL) functions, and is set by default to be mav_texEnvDefault.

SEE ALSO
@mav_texEnvDefault, @mav_surfaceParamsUse.